Bug 257711 - [NEW PORT] archivers/snapraid: Backup program for disk arrays. Recovers from up to six disk failures
Summary: [NEW PORT] archivers/snapraid: Backup program for disk arrays. Recovers from ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL: https://www.snapraid.it/faq#gui
Keywords: feature
Depends on:
Blocks:
 
Reported: 2021-08-09 13:30 UTC by Robert Clausecker
Modified: 2021-08-31 20:07 UTC (History)
2 users (show)

See Also:


Attachments
archivers/snapraid: Backup program for disk arrays. Recovers from up to six disk failures (2.87 KB, patch)
2021-08-09 13:30 UTC, Robert Clausecker
no flags Details | Diff
sysutils/snapraid: Backup program for disk arrays. Recovers from up to six disk failures (2.86 KB, patch)
2021-08-17 22:01 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-08-09 13:30:29 UTC
Created attachment 227046 [details]
archivers/snapraid: Backup program for disk arrays. Recovers from up to six disk failures

Kind of a cross between a RAID and a backup program.  Straightforward autotools port.

Tested with Poudriere on armv7 armv64 i386 amd64 FreeBSD 13.0-RELEASE.

Portlint and portclippy like the port.
Comment 1 crest 2021-08-17 19:59:24 UTC
I gave it a spin on 20TB dataset spread over a dozen disks and it works on FreeBSD 13.0/amd64
Comment 2 Robert Clausecker 2021-08-17 22:01:29 UTC
Created attachment 227295 [details]
sysutils/snapraid: Backup program for disk arrays. Recovers from up to six disk failures

Change main category from archivers to sysutils, as instructed by diizzy@.

Tested anew with Poudriere on i386 amd64 armv7 arm64 FreeBSD 13.0-RELEASE.
Comment 3 commit-hook freebsd_committer 2021-08-30 21:38:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b7f91789d751d2e7075ecd2e4dff75b7e0228d74

commit b7f91789d751d2e7075ecd2e4dff75b7e0228d74
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-08-30 21:30:00 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-08-30 21:35:22 +0000

    sysutils/snapraid: New Port: Backup program for disk arrays

    PR:             257711
    Approved by:    tcberner (mentor)
    Differential Revision:  https://reviews.freebsd.org/D31606

 sysutils/Makefile                 |  1 +
 sysutils/snapraid/Makefile (new)  | 22 ++++++++++++++++++++++
 sysutils/snapraid/distinfo (new)  |  3 +++
 sysutils/snapraid/pkg-descr (new) | 21 +++++++++++++++++++++
 4 files changed, 47 insertions(+)
Comment 4 Daniel Engberg freebsd_committer 2021-08-31 20:07:23 UTC
Committed, thanks!